%global srcname jax-ws-api

Name:           jakarta-xml-ws
Version:        4.0.0
Release:        %mkrel 3
Group:          Development/Java
Summary:        Jakarta XML Web Services API
# spec and enterprise-ws-spec is under EPL-2.0 but it is not shipped
License:        BSD

URL:            https://github.com/eclipse-ee4j/jax-ws-api
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.xml.bind:jakarta.xml.bind-api)
BuildRequires:  mvn(jakarta.xml.soap:jakarta.xml.soap-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)

%description
Jakarta XML Web Services defines a means for implementing XML-Based Web
Services based on Jakarta SOAP with Attachments and Jakarta Web Services
Metadata.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -n %{srcname}-%{version}

cd api
# remove unnecessary dependency on parent POM
  %pom_remove_parent
# remove unnecessary maven plugin
  %pom_remove_plugin :glassfish-copyright-maven-plugin
  %pom_remove_plugin :buildnumber-maven-plugin
cd -


%build
cd api
  %mvn_build
cd -


%install
cd api
  %mvn_install
cd -


%files -f api/.mfiles
%license LICENSE.md NOTICE.md

%files javadoc -f api/.mfiles-javadoc



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.0.0-3.mga10
+ Revision: 2223410
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 4.0.0-2.mga10
+ Revision: 2067028
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 1986447
- Update to upstream version 4.0.0

* Thu Dec 08 2022 neoclust <neoclust> 2.3.3-1.mga9
+ Revision: 1919550
- New version  2.3.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 daviddavid <daviddavid> 2.3.1-1.mga8
+ Revision: 1622401
- Update to 2.3.1
- package renamed to jakarta-xml-ws

* Wed Feb 12 2020 umeabot <umeabot> 2.2.10-8.mga8
+ Revision: 1506289
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.10-7.mga7
+ Revision: 1261979
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 2.2.10-6.mga6
+ Revision: 1103109
- Fix Build

* Wed Mar 02 2016 neoclust <neoclust> 2.2.10-5.mga6
+ Revision: 982654
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.2.10-4.mga6
+ Revision: 976249
- First rebuild of the java stack
- sync package glassfish-jaxws with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Jan 21 2015 daviddavid <daviddavid> 2.2.7-80.mga5
+ Revision: 811784
- rebuild against current fixed xsom, mimepull and txw2

* Wed Dec 24 2014 dmorgan <dmorgan> 2.2.7-79.mga5
+ Revision: 805463
- imported package glassfish-jaxws

